<template id="image-compare-template">
  <div class="image-compare">
    <div class="nav-tab-wrapper">
      <a :class="['nav-tab', 0 === selected ? 'nav-tab-active' : '']" @click.prevent="select(0)" href="#"><?php _e( 'Macro', 'baqend' ); ?></a>
      <a :class="['nav-tab', 1 === selected ? 'nav-tab-active' : '']" @click.prevent="select(1)" href="#"><?php _e( 'Portrait', 'baqend' ); ?></a>
      <a :class="['nav-tab', 2 === selected ? 'nav-tab-active' : '']" @click.prevent="select(2)" href="#"><?php _e( 'Landscape', 'baqend' ); ?></a>
      <a :class="['nav-tab', 3 === selected ? 'nav-tab-active' : '']" @click.prevent="select(3)" href="#"><?php _e( 'Photo', 'baqend' ); ?></a>
      <a :class="['nav-tab', 4 === selected ? 'nav-tab-active' : '']" @click.prevent="select(4)" href="#"><?php _e( 'City', 'baqend' ); ?></a>
      <a :class="['nav-tab', 5 === selected ? 'nav-tab-active' : '']" @click.prevent="select(5)" href="#"><?php _e( 'Sea', 'baqend' ); ?></a>
      <a :class="['nav-tab', 6 === selected ? 'nav-tab-active' : '']" @click.prevent="select(6)" href="#"><?php _e( 'Black/White', 'baqend' ); ?></a>
    </div>
    <div class="image-compare-split">
      <img class="image-original" :alt="images[selected].name" :src="originalUrl">
      <img v-if="optimizedUrl" class="image-optimized" :alt="images[selected].name" :src="optimizedUrl">
      <span class="image-original-name"><strong><?php _e( 'Original', 'baqend' ); ?></strong>, 600 &times; 600, {{ originalSize }} kB</span>
      <span class="image-optimized-name" v-if="optimizedSize"><strong><?php _e( 'Optimized', 'baqend' ); ?></strong>, 600 &times; 600, {{ optimizedSize }} kB</span>
      <span class="image-author">Author: <a :href="images[selected].authorRef" target="_blank">{{ images[selected].author }}</a></span>
      <span class="image-reduction" v-if="reduction"><?php _e( 'Reduced size <strong>by {{ reduction }}%</strong>', 'baqend' ); ?></span>
      <span class="image-reduction" v-if="!reduction"><?php _e( 'Loading image ...', 'baqend' ); ?></strong></span>
    </div>
  </div>
</template>

<template id="io-vue-template">
  <div class="io">
    <image-compare-component :options=options></image-compare-component>
    <div class="io-options">
      <div class="io-option">
        <label>
          <input type=hidden :name="name + '[disabled]'" value="0" v-if="!options.disabled">
          <input type=checkbox :name="name + '[disabled]'" value="1" v-model="options.disabled">
          <span><?php _e( 'Disable Image Optimization', 'baqend' ); ?></span>
        </label>
      </div>

      <div class="io-option">
        <label><?php _e( 'Quality', 'baqend' ); ?>: <strong>{{ options.quality }}%</strong></label>
        <ruler-component v-model="options.quality" :name="name + '[quality]'" :min=5 :max=100 :step=5></ruler-component>
      </div>

      <div class="io-option">
        <label><?php _e( 'Auto WebP Improvement', 'baqend' ); ?>: <strong>{{ options.webp ? '<?php _e( 'On', 'baqend' ); ?>' : '<?php _e( 'Off', 'baqend' ); ?>' }}</strong></label>
        <ruler-component v-model="options.webp" :name="name + '[webp]'" :min=0 :max=1 :step=1></ruler-component>
      </div>

      <div class="io-option">
        <label><?php _e( 'Auto Progressive JPEG', 'baqend' ); ?>: <strong>{{ options.pjpeg ? '<?php _e( 'On', 'baqend' ); ?>' : '<?php _e( 'Off', 'baqend' ); ?>' }}</strong></label>
        <ruler-component v-model="options.pjpeg" :name="name + '[pjpeg]'" :min=0 :max=1 :step=1></ruler-component>
      </div>
    </div>
  </div>
</template>
